﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;
using SoftDeleteExample.Models;
using EntityFramework.DynamicFilters;

namespace SoftDeleteExample.DAL
{
    public class SoftDeleteExampleContext : DbContext
    {
        public SoftDeleteExampleContext() : base("SoftDeleteExample") { }

        public DbSet<Chicken> Chickens { get; set; }
        public DbSet<ChickenEgg> ChickenEggs { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            //using addon dynamic filters to never return disabled rows
            modelBuilder.Filter("IsDisabled", (BaseDomainObject x) => x.IsDisabled, false);
        }
    }
}